# Method Web.Auth.OAuth2.Base()->set_from_cookie()

Method set_from_cookie

  `this_program set_from_cookie(string encoded_value)`

Description

  Populate this object with the result from request_access_token().

Throws

  An error if the decoding of encoded_value fails.

Parameter `encoded_value`

  The value from a previous call to request_access_token() or refresh_access_token().

Returns

  The object being called.